]> git.pld-linux.org Git - packages/etad.git/commitdiff
0e9c2b96a24153ad23bf0c2c7680dbd5 etad-1.0.tar.gz
authormarcus <marcus@pld-linux.org>
Wed, 25 Apr 2001 00:14:14 +0000 (00:14 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
0ddf230445852e8182df3a61ecd22528  etad.config
c7ccd2c9372cd3e6763eca8165bd22b3  etad.init
b36fcb922a4051d9b8b588e6a72d53b2  etad.patch

Changed files:
    etad.config -> 1.1
    etad.init -> 1.1
    etad.patch -> 1.1

etad.config [new file with mode: 0644]
etad.init [new file with mode: 0644]
etad.patch [new file with mode: 0644]

diff --git a/etad.config b/etad.config
new file mode 100644 (file)
index 0000000..92a88bb
--- /dev/null
@@ -0,0 +1 @@
+PORT=/dev/ups
diff --git a/etad.init b/etad.init
new file mode 100644 (file)
index 0000000..8d8e478
--- /dev/null
+++ b/etad.init
@@ -0,0 +1,63 @@
+#!/bin/sh
+#
+# etad           This shell script takes care of starting and stopping
+#                etad (ETA UPS daemon).
+#
+# chkconfig:   2345 10 99
+#
+# description: etad is the print daemon required for etad to work  properly. \
+#              It is basically a server that monitor your UPS.
+#
+# processname: etad
+# config:      /etc/sysconfig/etad
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/etad ] && . /etc/sysconfig/etad
+
+
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+        if [ ! -f /var/lock/subsys/etad ]; then
+                msg_starting etad
+                daemon etad $PORT
+                RETVAL=$?
+                [ $RETVAL -eq 0 ] && touch /var/lock/subsys/etad
+        else
+                msg_Already_Running Lpd
+                exit 1
+        fi
+        ;;
+  stop)
+        # Stop daemons.
+        if [ -f /var/lock/subsys/etad ]; then
+                msg_stopping Etad
+                killproc etad
+                rm -f /var/lock/subsys/etad >/dev/null 2>&1
+        else
+                msg_Not_Running etad
+                exit 1
+        fi
+        ;;
+  status)
+       status etad
+       exit $?
+       ;;
+  restart)
+       $0 stop
+       $0 start
+       ;;
+  *)
+       msg_Usage "$0 {start|stop|status|restart}"
+        exit 1
+esac
+
+exit $RETVAL
diff --git a/etad.patch b/etad.patch
new file mode 100644 (file)
index 0000000..7ffceb8
--- /dev/null
@@ -0,0 +1,9 @@
+diff -uNr etad-1.0.orig/do_haltnow etad-1.0/do_haltnow
+--- etad-1.0.orig/do_haltnow   Tue Mar 21 08:54:00 2000
++++ etad-1.0/do_haltnow        Wed Apr 25 01:41:20 2001
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ # Skrypt uruchamiany w przypadku, gdy nie ma zasilania sieciowego
+ # i jest niski poziom napiecia baterii UPSa
This page took 0.098067 seconds and 4 git commands to generate.